import { expect, type Locator, type Page } from '@playwright/test';
import { BasePage } from './BasePage';

export class TpaSubmitPage extends BasePage {
    readonly page: Page;
    readonly deductible: Locator;
    issPageValue = 'tpa-submit';

    constructor(page: Page) {
        super(page);
        this.page = page;
        this.deductible = page.getByText('Deductible $');
    }

    async validateDeductible(expDeductible) {
        await expect(this.deductible).toContainText(expDeductible);
    }
}